<ion-header [translucent]="true" no-border>
  <ion-toolbar mode="ios">
    <ion-title>Pago de Servicio</ion-title>
    <ion-buttons slot="primary">
      <ion-button (click)="regresar()">
        <ion-icon slot="icon-only" name="arrow-back-circle-outline"></ion-icon>
      </ion-button>
    </ion-buttons>
  </ion-toolbar>
</ion-header>
<ion-content padding>

  <form ngNoForm name="payuform" method="POST" action="{{ urlPayu }}" novalidate>
    <div>
      <input name="merchantId"    hidden  [(ngModel)]="paymentPayu.merchantId" >
      <input name="accountId"     hidden  [(ngModel)]="paymentPayu.accountId">
      <input name="description"   hidden  [(ngModel)]="paymentPayu.description" >
      <input name="referenceCode" hidden  [(ngModel)]="paymentPayu.referenceCode">
      <input name="amount"        hidden  [(ngModel)]="paymentPayu.amount">
      <input name="tax"           hidden  [(ngModel)]="paymentPayu.tax">
      <input name="taxReturnBase" hidden  [(ngModel)]="paymentPayu.taxReturnBase">
      <input name="currency"      hidden  [(ngModel)]="paymentPayu.currency">
      <input name="signature"     hidden  [(ngModel)]="paymentPayu.signature">
      <input name="test"          hidden  [(ngModel)]="paymentPayu.test">
      <input name="extra1"        hidden  [(ngModel)]="paymentPayu.extra1">
      <input name="extra2"        hidden  [(ngModel)]="paymentPayu.extra2">
      <input name="extra3"        hidden  [(ngModel)]="paymentPayu.extra3">
      <input name="responseUrl"   hidden  value="{{ responseUrl }}" >
      <input name="confirmationUrl" hidden  value="{{ confirmationUrl }}" >
    </div>
    <ion-list>
      <ion-grid>
        <ion-item-group class="ion-text-center">
          <div class="divider-text">Detalle de los servicios</div>
          <div *ngIf="payment.type === 1">
            <ion-item *ngFor="let day of payment.reserve_day; let i = index">
              <ion-label>Fecha del servicio #{{ i + 1 }}:</ion-label>
              {{day.date}}
            </ion-item>
          </div>
          <div *ngIf="payment.type === 2">
            <ion-item *ngFor="let day of daySelect; let i = index">
              <ion-label>{{day}}</ion-label>
            </ion-item>
          </div>
        </ion-item-group>
        <ion-row>
          <ion-col>
            <ion-item>
              <ion-text *ngIf="canPay">Recuerda que actualmente cuentas con un tiempo limite de <strong
                class="danger">{{ payment.limit }}</strong> para pagar tu servicio.
              </ion-text>
              <ion-text class="danger" *ngIf="!canPay">No puedes pagar el servicio, el pago ya se encuentra vencido.
              </ion-text>
            </ion-item>
          </ion-col>
        </ion-row>
        <ion-row>
          <ion-col>
            <ion-item lines="none">
              <ion-label class="totalAmount">
                Total a pagar: ${{ (total) | currency: '' : '' : '1.0-0' }}
              </ion-label>
            </ion-item>
          </ion-col>
        </ion-row>

        <ion-row>
          <ion-col size="12">
            <ion-item>
              <ion-label position="floating">Numero de documento</ion-label>
              <ion-input type="text" placeholder="Numero de documento" name="payerDocument"
                         [(ngModel)]="paymentPayu.payerDocument" [maxlength]="10"></ion-input>
            </ion-item>
          </ion-col>
          <ion-col size="12">
            <ion-item>
              <ion-label position="floating">Nombre del pagador</ion-label>
              <ion-input type="text" placeholder="Nombre del pagador" name="buyerFullName"
                         [(ngModel)]="paymentPayu.buyerFullName" [maxlength]="250"></ion-input>
            </ion-item>
          </ion-col>
          <ion-col size="12">
            <ion-item>
              <ion-label position="floating">Correo</ion-label>
              <ion-input type="text" placeholder="Correo" name="buyerEmail" [(ngModel)]="paymentPayu.buyerEmail"
                         [maxlength]="250"></ion-input>
            </ion-item>
          </ion-col>
          <ion-col size="12">
            <ion-item>
              <ion-label position="floating">Telefono</ion-label>
              <ion-input type="text" placeholder="Telefono" name="telephone" [(ngModel)]="paymentPayu.telephone"
                         [maxlength]="10"></ion-input>
            </ion-item>
          </ion-col>
        </ion-row>
        <ion-row>
          <ion-col size="8">
            <ion-item>
              <ion-label position="floating">Cupon de descuento</ion-label>
              <ion-input type="text" placeholder="Cupon de descuento" name="promocode" [(ngModel)]="promocode"
                         [maxlength]="9"></ion-input>
            </ion-item>
          </ion-col>
          <ion-col size="4">
            <ion-item>
              <ion-button class="ion-margin" expand="block" type="button">
                Validar
              </ion-button>
            </ion-item>
          </ion-col>
        </ion-row>


      </ion-grid>

    </ion-list>

    <ion-button class="ion-margin" expand="block" type="submit" fill="outline" shape="round" mode="ios"
                [disabled]="!canPay || !paymentPayu.payerDocument || !paymentPayu.buyerFullName || !paymentPayu.buyerEmail || !paymentPayu.telephone">
      <img alt="Theme-Logo" src="assets/images/logo-payu.png">
      Pagar
    </ion-button>

  </form>

</ion-content>
